Get all Cluster Users
Retrieves a list of MongoDB users.
For 'Basic' authentication, take your credentials by first combining the username and password with a colon (username:password) and then encoding the resulting string in base64 (YWxhZGRpbjpvcGVuc2VzYW1l).
Example Request Header
Authorization: Basic YWxhZGRpbjpvcGVuc2Vzl
More details: https://en.wikipedia.org/wiki/Basic_access_authentication
The unique ID of the cluster.
The maximum number of elements to return. Use together with 'offset' for pagination.
100Example: 100The first element to return. Use together with 'limit' for pagination.
0Example: 200Successful operation.
List of cluster users.
The resource type.
The unique ID of the resource.
498ae72f-411f-11eb-9d07-046c59cc737eAny erroneous status code: 400 (parse error), 401 (authorization error), 402 (trial access), 403 (insufficient permissions), 404 (not found), 405 (unsupported HTTP method), 415 (unsupported content type), 422 (validation error), 429 (request rate limit exceeded), 500 (server error), 503 (maintenance)
GET /databases/mongodb/clusters/{clusterId}/users HTTP/1.1
Host: api.ionos.com
Authorization: Basic username:password
Accept: */*
{
"type": "collection",
"id": "498ae72f-411f-11eb-9d07-046c59cc737e",
"items": [
{
"type": "user",
"metadata": {
"createdDate": "2020-12-10T13:37:50+01:00",
"createdBy": "john.doe@example.com",
"createdByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3"
},
"properties": {
"username": "text",
"roles": [
{
"role": "read",
"database": "text"
}
]
}
}
]
}Last updated
Was this helpful?